Kerbal Space Program - Bug #1597

Updating to 0.22 makes training and scenario missions disappear
10/21/2013 11:23 AM - Crush

Status: Closed Start date: 10/21/2013
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.22 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

| played the training missions in an earlier version and updated to 0.22 via Steam auto-update.

After the update no training missions were available when launching the game and going to "Start Game" -> "Training"
After | deleted the following directories, the training missions were available again:
saves\training\A_VesselConstruction

saves\training\B_flightBasics

savesl\training\C_Orbit101
saves\training\D_MunFlight1

Expected behavior:

When an update breaks compatibility to the training persistence files, the new version should either ignore the old files or they should
be deleted during the update.

History

#1 - 09/05/2014 09:11 AM - Squelch

- Status changed from New to Need More Info

This issue may have been resolved in more recent updates.

Marking for feedback to allow for comment. Will be closed without followup in one week.

#2 - 07/27/2015 12:15 PM - Squelch
- Status changed from Need More Info to Closed

- % Done changed from 0 to 100

This issue is too old to have relevance now.
